
const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const PopupMenu = imports.ui.popupMenu;

let item, volume;

function _onPulseAudioEqualizerActivate() {
    Main.overview.hide();
    let app = Shell.AppSystem.get_default().lookup_app('pulseaudio-equalizer.desktop');
    app.activate();
}

function init() {
    volume = Main.panel._statusArea.volume.menu;
}

function enable() {
    item = new PopupMenu.PopupMenuItem(_("System Equalizer"));
    item.connect('activate', Lang.bind(item, _onPulseAudioEqualizerActivate));
    volume.addMenuItem(item, 4);
}

function disable() {
    if (item) {
        item.destroy();
    }
}
